import React from 'react';
import Loadable from 'react-loadable';
// import Main from './components/main';
import HomeContainer from './containers/HomeContainer';

export default function createRoutes() {
  return [
    {
      path: '/',
      exact: true,
      component: Loadable({
        loader: () => import('./components/App.js'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    },
    {
      path: '/home',
      exact: true,
      component: Loadable({
        loader: () => import('./containers/HomeContainer.js'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    },
    {
      path: '/about',
      exact: true,
      component: Loadable({
        loader: () => import('./components/About.js'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    },
    {
      path: '/service',
      exact: true,
      component: Loadable({
        loader: () => import('./containers/ServiceContainer.js'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    }
  ];
}
